Index: chapter03/introduction.xml
===================================================================
--- chapter03/introduction.xml	(revision ec823eb034df0e632e84ccb0bba0c4495826d9ce)
+++ chapter03/introduction.xml	(revision 69993f4157abb6a083d814d03b497375a0ef978c)
@@ -8,16 +8,16 @@
 <?dbhtml filename="introduction.html"?>
 
-<para>Below is a list of packages that need to be download for building a
-basic Linux system. The listed version numbers correspond to versions
-of the software that are known to work, and this book is based on
-their use. We highly recommend not using newer versions, as the build
-commands for one version may not work with a newer version. The newest
-package versions may also have problems that work-arounds have
-not been developed for yet.</para>
+<para>This chapter includes a list of packages that need to be
+download for building a basic Linux system. The listed version numbers
+correspond to versions of the software that are known to work, and
+this book is based on their use. We highly recommend not using newer
+versions because the build commands for one version may not work with
+a newer version. The newest package versions may also have problems
+that work-arounds have not been developed for yet.</para>
 
 <para>All the URLs, when possible, refer to the package's information
 page at <ulink url="http://www.freshmeat.net/"/>. The Freshmeat pages
 provide easy access to official download sites, as well as project
-websites, mailing lists, FAQs, changelogs, and more.</para>
+websites, mailing lists, FAQ, changelogs, and more.</para>
 
 <para>Download locations may not always be accessible. If a download
@@ -28,5 +28,5 @@
 url="&lfs-root;lfs/packages.html"/>.</para>
 
-<para>Downloaded packages and patches will need to be stores somewhere
+<para>Downloaded packages and patches will need to be stored somewhere
 that is conveniently available throughout the entire build. A working
 directory is also required to unpack the sources and build them.
@@ -43,11 +43,9 @@
 <screen><userinput>mkdir $LFS/sources</userinput></screen>
 
-<para>Make this directory writable (and sticky -- which basically
-means that eventhough a user may have write permissions on a
-directory, the sticky tag prevents users from removing files they do
-not own as normally write permission on a directory means the owner of
-the directory can remove all files in it, even if he does not own the
-file) for your normal user -- as you won't do the downloading as root, we
-guess:</para>
+<para>Make this directory writable and sticky. <quote>Sticky</quote>
+means that even if multiple users have write permission on a
+directory, only the owner of a file can delete the file within a
+sticky directory. The following command will enable the write and
+sticky modes:</para>
 
 <screen><userinput>chmod a+wt $LFS/sources</userinput></screen>
Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision ec823eb034df0e632e84ccb0bba0c4495826d9ce)
+++ chapter03/packages.xml	(revision 69993f4157abb6a083d814d03b497375a0ef978c)
@@ -11,8 +11,7 @@
 
 <variablelist role="materials">
-<bridgehead renderas="sect3">Packages</bridgehead>
-
-<varlistentry>
-<term>Autoconf (&autoconf-version;) - 903 KB:</term>
+
+<varlistentry>
+<term>Autoconf (&autoconf-version;) - 903 kilobytes (KB):</term>
 <listitem>
 <para><ulink url="&freshmeat;autoconf/"/></para>
@@ -91,5 +90,5 @@
 
 <varlistentry>
-<term>File (&file-version;) - 356 KB: -- <emphasis>(see Note 1 below)</emphasis></term>
+<term>File (&file-version;) - 356 KB: <emphasis>(see Note 1)</emphasis></term>
 <listitem>
 <para><ulink url="&freshmeat;file/"/></para>
@@ -119,5 +118,5 @@
 
 <varlistentry>
-<term>GCC (&gcc-version;) - ~27,000KB:</term>
+<term>GCC (&gcc-version;) - 27,000 KB:</term>
 <listitem>
 <para><ulink url="&freshmeat;gcc/"/></para>
@@ -133,5 +132,5 @@
 
 <varlistentry>
-<term>Glibc (&glibc-version;) - 13,101 KB: -- <emphasis>(see Note 2 below)</emphasis></term>
+<term>Glibc (&glibc-version;) - 13,101 KB: <emphasis>(see Note 2)</emphasis></term>
 <listitem>
 <para><ulink url="&freshmeat;glibc/"/></para>
@@ -424,5 +423,6 @@
 
 <note><para>2) Released packages of Glibc are not new enough for our
-purposes, so create a tarball of an appropriate CVS with the following
+purposes, so create a tarball of an appropriate Concurrent Versions
+System (CVS) snapshot with the following
 commands:</para>
 
@@ -433,14 +433,14 @@
 tar jcvf glibc-2.3.4-20040701.tar.bz2 glibc-2.3.4-20040701</userinput></screen>
 
-<para>
-Alternatively, the LFS team developed a tarball which can be
-downloaded from any of the FTP mirrors listed on the LFS Website at
-<ulink url="&lfs-root;lfs/packages.html#http"/>. It
-is located under the <filename
-class="directory">/pub/lfs/packages/conglomeration/glibc</filename> directory.
-The tarball is signed using GPG, and it is strongly recommended that
-its authenticity be verified before use. Instructions for installing
-GnuPG, which enables verification, are provided in the BLFS
-book at <ulink url="&lfs-root;blfs/view/stable/postlfs/gnupg.html"/>.</para></note>
+<para> Alternatively, the LFS team developed a tarball which can be
+downloaded from any of the File Transfer Protocol (FTP) mirrors listed
+on the LFS Website at <ulink url="&lfs-root;lfs/packages.html#http"/>.
+It is located under the <filename
+class="directory">/pub/lfs/packages/conglomeration/glibc</filename>
+directory.  The tarball is signed using GNU Privacy Guard (GPG), and
+it is strongly recommended that its authenticity be verified before
+use. Instructions for installing GPG, which enables verification, are
+provided in the Beyond Linux From Scratch (BLFS) book at <ulink
+url="&lfs-root;blfs/view/stable/postlfs/gnupg.html"/>.</para></note>
 
 </sect1>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision ec823eb034df0e632e84ccb0bba0c4495826d9ce)
+++ chapter03/patches.xml	(revision 69993f4157abb6a083d814d03b497375a0ef978c)
@@ -5,5 +5,5 @@
 ]>
 <sect1 id="materials-patches">
-<title>Needed patches</title>
+<title>Needed Patches</title>
 <?dbhtml filename="patches.html"?>
 
@@ -15,5 +15,4 @@
 
 <variablelist role="materials">
-<bridgehead renderas="sect3">Patches</bridgehead>
 
 <varlistentry>