Index: bootscripts/README
===================================================================
--- bootscripts/README	(revision 3ed5e23957c90b27e1c915d9f0dd5872d5c05c92)
+++ bootscripts/README	(revision 75128f91c34fb8a4f08b8e573ea05f1b9c1cefb6)
@@ -46,27 +46,29 @@
 
    Configuration Files:
-      /etc/sysconfig/createfiles or /etc/sysconfig/rc.site
-      Each line is parsed, using space as a deliminator.
-      [NAME] [TYPE] [PERMISSIONS] [USER] [GROUP]
-      The below fields are currently only used on dev type.
-      ([DEV TYPE] [MAJOR#] [MINOR#])
-      Name:
-         File/Directory/Device name
-      Type:
-         dir: creates a directory
-         file: creates a file
-         dev: creates a device
-      Permissions:
-         chmod the created file
-      User/Group:
-         chown the created file/dir to this user/group
-      Dev Type:
-         char:  character [needs MAJOR#, MINOR#]
-         block: block [needs MAJOR#, MINOR#]
-         pipe:  pipe
-      Major#:
-         Used by character and block devices.
-      Minor#:
-         Used by character and block devices.
+      /etc/sysconfig/rc.site
       - SKIPTMPCLEAN: skips cleaning of /tmp directory
 
+      /etc/sysconfig/createfiles 
+         Each line is parsed, using space as a deliminator.
+         [NAME] [TYPE] [PERMISSIONS] [USER] [GROUP]
+         The below fields are currently only used on dev type.
+         ([DEV TYPE] [MAJOR#] [MINOR#])
+         Name:
+            File/Directory/Device name
+         Type:
+            dir:  creates a directory
+            file: creates a file
+            dev:  creates a device
+         Permissions:
+            chmod the created file
+         User/Group:
+            chown the created file/dir to this user/group
+         Dev Type:
+            char:  character [needs MAJOR#, MINOR#]
+            block: block     [needs MAJOR#, MINOR#]
+            pipe:  pipe
+         Major#:
+            Used by character and block devices.
+         Minor#:
+            Used by character and block devices.
+
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 3ed5e23957c90b27e1c915d9f0dd5872d5c05c92)
+++ chapter01/changelog.xml	(revision 75128f91c34fb8a4f08b8e573ea05f1b9c1cefb6)
@@ -36,4 +36,18 @@
     </listitem>
 -->
+    <listitem>
+      <para>2014-08-15</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Remove redundant wording in checking 
+          toolchain values.  Fixes 
+          <ulink url="&lfs-ticket-root;3654">#3654</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Reword bootscripts README file.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2014-08-14</para>
Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision 3ed5e23957c90b27e1c915d9f0dd5872d5c05c92)
+++ chapter05/gcc-pass1.xml	(revision 75128f91c34fb8a4f08b8e573ea05f1b9c1cefb6)
@@ -197,10 +197,10 @@
         <term><parameter>--disable-decimal-float, --disable-threads,
         --disable-libatomic, --disable-libgomp, --disable-libitm,
-        --disable-libmudflap, --disable-libquadmath, --disable-libsanitizer,
+        --disable-libquadmath, --disable-libsanitizer,
         --disable-libssp, --disable-libvtv, --disable-libcilkrts,
         --disable-libstdc++-v3</parameter></term>
         <listitem>
           <para>These switches disable support for the decimal floating point
-          extension, threading, libatomic, libgomp, libitm, libmudflap,
+          extension, threading, libatomic, libgomp, libitm, 
           libquadmath, libsanitizer, libssp, libvtv, libcilkrts
           and the C++ standard library respectively. These features will fail
Index: chapter06/adjusting.xml
===================================================================
--- chapter06/adjusting.xml	(revision 3ed5e23957c90b27e1c915d9f0dd5872d5c05c92)
+++ chapter06/adjusting.xml	(revision 75128f91c34fb8a4f08b8e573ea05f1b9c1cefb6)
@@ -47,5 +47,5 @@
 readelf -l a.out | grep ': /lib'</userinput></screen>
 
-  <para os="b">If everything is working correctly, there should be no errors,
+  <para os="b">There should be no errors,
   and the output of the last command will be (allowing for
   platform-specific differences in dynamic linker name):</para>
@@ -60,6 +60,5 @@
 <screen os="e"><userinput>grep -o '/usr/lib.*/crt[1in].*succeeded' dummy.log</userinput></screen>
 
-  <para os="f">If everything is working correctly, there should be no errors,
-    and the output of the last command will be:</para>
+  <para os="f">The output of the last command should be:</para>
 
 <screen><computeroutput>/usr/lib/crt1.o succeeded
@@ -72,5 +71,5 @@
 <screen><userinput>grep -B1 '^ /usr/include' dummy.log</userinput></screen>
 
-  <para os="h">This command should return successfully with the following output:</para>
+  <para os="h">This command should return the following output:</para>
 
 <screen><computeroutput>#include &lt;...&gt; search starts here:
@@ -81,7 +80,5 @@
 <screen os="j"><userinput>grep 'SEARCH.*/usr/lib' dummy.log |sed 's|; |\n|g'</userinput></screen>
 
-  <para os="k">If everything is working correctly, there should be no errors,
-  and the output of the last command
-  will be:</para>
+  <para os="k">The output of the last command should be:</para>
 
 <screen><computeroutput>SEARCH_DIR("/usr/lib")
@@ -92,7 +89,6 @@
 <screen os="m"><userinput>grep "/lib.*/libc.so.6 " dummy.log</userinput></screen>
 
-  <para os="n">If everything is working correctly, there should be no errors,
-  and the output of the last command (allowing for a lib64 directory on 64-bit hosts)
-  will be:</para>
+  <para os="n">The output of the last command (allowing for a lib64 directory 
+  on 64-bit hosts) should be:</para>
 
 <screen os="o"><computeroutput>attempt to open /lib/libc.so.6 succeeded</computeroutput></screen>
@@ -102,8 +98,7 @@
 <screen os="q"><userinput>grep found dummy.log</userinput></screen>
 
-  <para os="r">If everything is working correctly, there should be no errors,
-  and the output of the last command will be (allowing for
-  platform-specific differences in dynamic linker name and a lib64 directory
-  on 64-bit hosts):</para>
+  <para os="r"> The output of the last command should be (allowing for
+  platform-specific differences in dynamic linker name and a lib64 directory on
+  64-bit hosts):</para>
 
 <screen os="s"><computeroutput>found ld-linux.so.2 at /lib/ld-linux.so.2</computeroutput></screen>
Index: general.ent
===================================================================
--- general.ent	(revision 3ed5e23957c90b27e1c915d9f0dd5872d5c05c92)
+++ general.ent	(revision 75128f91c34fb8a4f08b8e573ea05f1b9c1cefb6)
@@ -1,5 +1,5 @@
-<!ENTITY version         "SVN-20140814">
+<!ENTITY version         "SVN-20140815">
 <!ENTITY short-version   "svn">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "August 14, 2014">
+<!ENTITY releasedate     "August 15, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.6">
Index: packages.ent
===================================================================
--- packages.ent	(revision 3ed5e23957c90b27e1c915d9f0dd5872d5c05c92)
+++ packages.ent	(revision 75128f91c34fb8a4f08b8e573ea05f1b9c1cefb6)
@@ -371,5 +371,5 @@
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20140806">              <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20140815">              <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">