Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision b1fb9310035ea0414edc2fa6c7493d371d787b7a)
+++ appendices/dependencies.xml	(revision 87119fd250fad6fd818f6fc325e55f513b56e694)
@@ -1337,4 +1337,39 @@
       </segmentedlist>
 
+<!-- Begin Jinja2 dependency info -->
+  <bridgehead renderas="sect2" id="jinja2-dep">Jinja2</bridgehead>
+
+      <segmentedlist>
+        <segtitle>&dependencies;</segtitle>
+
+        <seglistitem>
+         <seg>MarkupSafe and Python</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No test suite available</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>Systemd</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
 <!-- Begin Kbd dependency info -->
   <bridgehead renderas="sect2" id="kbd-dep">Kbd</bridgehead>
@@ -1791,4 +1826,39 @@
         <seglistitem>
           <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&external;</segtitle>
+
+        <seglistitem>
+          <seg>None</seg>
+        </seglistitem>
+      </segmentedlist>
+
+<!-- Begin MarkupSafe dependency info -->
+  <bridgehead renderas="sect2" id="markupsafe-dep">MarkupSafe</bridgehead>
+
+      <segmentedlist>
+        <segtitle>&dependencies;</segtitle>
+
+        <seglistitem>
+         <seg>Python</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&testsuites;</segtitle>
+
+        <seglistitem>
+          <seg>No test suite available</seg>
+        </seglistitem>
+      </segmentedlist>
+
+      <segmentedlist>
+        <segtitle>&before;</segtitle>
+
+        <seglistitem>
+          <seg>Jinja2</seg>
         </seglistitem>
       </segmentedlist>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision b1fb9310035ea0414edc2fa6c7493d371d787b7a)
+++ chapter01/changelog.xml	(revision 87119fd250fad6fd818f6fc325e55f513b56e694)
@@ -44,4 +44,36 @@
     -->
     <listitem>
+      <para>2021-07-08</para>
+      <itemizedlist>
+        <listitem revision="systemd">
+          <para>[renodr] - Added Jinja2-3.0.1.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Added MarkupSafe-2.0.1.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to texinfo-6.8. Fixes
+          <ulink url="&lfs-ticket-root;4880">#4880</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to iproute2-5.13.0. Fixes
+          <ulink url="&lfs-ticket-root;4879">#4879</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to Python-3.9.6 (Security Update). Fixes
+          <ulink url="&lfs-ticket-root;4878">#4878</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to systemd-249 (Security Update). Fixes
+          <ulink url="&lfs-ticket-root;4882">#4882</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to Linux-5.13.1. Fixes
+          <ulink url="&lfs-ticket-root;4873">#4873</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2021-07-01</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision b1fb9310035ea0414edc2fa6c7493d371d787b7a)
+++ chapter01/whatsnew.xml	(revision 87119fd250fad6fd818f6fc325e55f513b56e694)
@@ -139,4 +139,7 @@
       <para>IPRoute2-&iproute2-version;</para>
     </listitem>
+    <!--<listitem revision="systemd">
+      <para>Jinja2-&jinja2-version;</para>
+    </listitem>-->
     <!--<listitem>
       <para>Kbd-&kbd-version;</para>
@@ -181,4 +184,7 @@
       <para>Man-pages-&man-pages-version;</para>
     </listitem>
+    <!--<listitem revision="systemd">
+      <para>MarkupSafe-&markupsafe-version;</para>
+    </listitem>-->
     <listitem>
       <para>Meson-&meson-version;</para>
@@ -241,7 +247,7 @@
       <para>Tcl-&tcl-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Texinfo-&texinfo-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Tzdata-&tzdata-version;</para>
@@ -285,9 +291,9 @@
       <para>gcc-11.1.0-upstream_fixes-1.patch</para>
     </listitem>
-    <listitem>
-      <para>systemd-247-upstream_fixes-2.patch</para>
-    </listitem>
-    <listitem>
-      <para>systemd-247-upstream_fixes-1.patch</para>
+    <listitem revision="systemd">
+      <para>MarkupSafe-&markupsafe-version;</para>
+    </listitem>
+    <listitem revision="systemd">
+      <para>Jinja2-&jinja2-version;</para>
     </listitem>
 
Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision b1fb9310035ea0414edc2fa6c7493d371d787b7a)
+++ chapter03/packages.xml	(revision 87119fd250fad6fd818f6fc325e55f513b56e694)
@@ -347,4 +347,13 @@
     </varlistentry>
 
+    <varlistentry revision="systemd">
+      <term>Jinja2 (&jinja2-version;) - <token>&jinja2-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&jinja2-home;"/></para>
+        <para>Download: <ulink url="&jinja2-url;"/></para>
+        <para>MD5 sum: <literal>&jinja2-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
     <varlistentry>
       <term>Kbd (&kbd-version;) - <token>&kbd-size;</token>:</term>
@@ -475,4 +484,13 @@
         <para>Download: <ulink url="&man-pages-url;"/></para>
         <para>MD5 sum: <literal>&man-pages-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
+    <varlistentry revision="systemd">
+      <term>MarkupSafe (&markupsafe-version;) - <token>&markupsafe-size;</token>:</term>
+      <listitem>
+        <para>Home page: <ulink url="&markupsafe-home;"/></para>
+        <para>Download: <ulink url="&markupsafe-url;"/></para>
+        <para>MD5 sum: <literal>&markupsafe-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision b1fb9310035ea0414edc2fa6c7493d371d787b7a)
+++ chapter03/patches.xml	(revision 87119fd250fad6fd818f6fc325e55f513b56e694)
@@ -111,4 +111,5 @@
     </varlistentry>
 
+<!--
     <varlistentry revision="systemd">
       <term>Systemd Upstream Fixes Patch - <token>&systemd-upstream-fixes-patch-size;</token>:</term>
@@ -118,4 +119,5 @@
       </listitem>
     </varlistentry>
+-->
 
   </variablelist>
Index: chapter08/chapter08.xml
===================================================================
--- chapter08/chapter08.xml	(revision b1fb9310035ea0414edc2fa6c7493d371d787b7a)
+++ chapter08/chapter08.xml	(revision 87119fd250fad6fd818f6fc325e55f513b56e694)
@@ -84,4 +84,6 @@
 
   <!-- systemd only -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="markupsafe.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="jinja2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="systemd.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dbus.xml"/>
Index: chapter08/systemd.xml
===================================================================
--- chapter08/systemd.xml	(revision b1fb9310035ea0414edc2fa6c7493d371d787b7a)
+++ chapter08/systemd.xml	(revision 87119fd250fad6fd818f6fc325e55f513b56e694)
@@ -47,8 +47,9 @@
 -->
 
-    <!-- For linux-5.11's API headers changing the rfkill_event structure -->
+    <!-- For linux-5.11's API headers changing the rfkill_event structure
     <para>First, apply a patch to fix some build issues:</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-upstream_fixes-1.patch</userinput></screen>
+-->
 
 <!-- Seems to be not needed anymore with 248
@@ -58,9 +59,11 @@
 -->
 
-    <para>Remove an unneeded group,
-    <systemitem class="groupname">render</systemitem>, from the default udev
+    <para>Remove two unneeded groups,
+    <systemitem class="groupname">render</systemitem> and
+    <systemitem class="groupname">sgx</systemitem>, from the default udev
     rules:</para>
 
-<screen><userinput remap="pre">sed -i 's/GROUP="render"/GROUP="video"/' rules.d/50-udev-default.rules.in</userinput></screen>
+ <screen><userinput remap="pre"> sed -i -e 's/GROUP="render"/GROUP="video"/' \
+        -e 's/GROUP="sgx", //' rules.d/50-udev-default.rules.in</userinput></screen>
 
     <para>Prepare systemd for compilation:</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision b1fb9310035ea0414edc2fa6c7493d371d787b7a)
+++ packages.ent	(revision 87119fd250fad6fd818f6fc325e55f513b56e694)
@@ -344,11 +344,19 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.12.0">
-<!ENTITY iproute2-size "820 KB">
+<!ENTITY iproute2-version "5.13.0">
+<!ENTITY iproute2-size "828 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "bbebacdabd4628ff86453ef4771a242a">
+<!ENTITY iproute2-md5 "15fc3786303a173a14e180afe4cd2ecd">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "15 MB">
 <!ENTITY iproute2-fin-sbu "0.2 SBU">
+
+<!ENTITY jinja2-version "3.0.1">
+<!ENTITY jinja2-size "264 KB">
+<!ENTITY jinja2-url "https://files.pythonhosted.org/packages/source/J/Jinja2/Jinja2-&jinja2-version;.tar.gz">
+<!ENTITY jinja2-md5 "25ba6ef98c164878acff1036fbd72a1d">
+<!ENTITY jinja2-home "https://jinja.palletsprojects.com/en/3.0.x/">
+<!ENTITY jinja2-fin-du "2.3 MB">
+<!ENTITY jinja2-fin-sbu "less than 0.1 SBU">
 
 <!ENTITY kbd-version "2.4.0">
@@ -417,11 +425,11 @@
 
 <!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "12">
-<!ENTITY linux-patch-version "10">
+<!ENTITY linux-minor-version "13">
+<!ENTITY linux-patch-version "1">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "115,379 KB">
+<!ENTITY linux-size "116,496 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "7a3d78b97103f2b64c8c8592c1dfbe8d">
+<!ENTITY linux-md5 "6499bdaa4ee1ef873ffd6533492140e7">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.8.3 / gcc-10.2.0 on x86_64 : minimum is
@@ -472,4 +480,12 @@
 <!ENTITY man-pages-fin-du "4.7 MB">
 <!ENTITY man-pages-fin-sbu "less than 0.1 SBU">
+
+<!ENTITY markupsafe-version "2.0.1">
+<!ENTITY markupsafe-size "20 KB">
+<!ENTITY markupsafe-url "https://files.pythonhosted.org/packages/source/M/MarkupSafe/MarkupSafe-&markupsafe-version;.tar.gz">
+<!ENTITY markupsafe-md5 "892e0fefa3c488387e5cc0cad2daa523">
+<!ENTITY markupsafe-home "https://markupsafe.palletsprojects.com/en/2.0.x/">
+<!ENTITY markupsafe-fin-du "360 KB">
+<!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
 <!ENTITY meson-version "0.58.1">
@@ -574,9 +590,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.9.5">
+<!ENTITY python-version "3.9.6">
 <!ENTITY python-minor "3.9">
-<!ENTITY python-size "18,612 KB">
+<!ENTITY python-size "18,608 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "71f7ada6bec9cdbf4538adc326120cfd">
+<!ENTITY python-md5 "ecc29a7688f86e550d29dba2ee66cf80">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "374 MB">
@@ -585,6 +601,6 @@
 <!ENTITY python-fin-sbu "2.8 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "c594916b00cbb9796fa001dd2764ab0f">
-<!ENTITY python-docs-size "6,680 KB">
+<!ENTITY python-docs-md5 "0dae29e4c38af1b6b1a86b35c9e48923">
+<!ENTITY python-docs-size "6,692 KB">
 
 <!ENTITY readline-version "8.1">
@@ -622,18 +638,18 @@
 <!ENTITY sysklogd-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "248">
+<!ENTITY systemd-version  "249">
 <!--<!ENTITY systemd-stable   "6b4878d">-->
 <!-- The above entity is used whenever we move to a stable backport branch. In the event of a critical problem or kernel
      change that is incompatible, we will switch to the backport branch until the next stable release. -->
-<!ENTITY systemd-size     "10,068 KB">
+<!ENTITY systemd-size     "10,344 KB">
 <!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
 <!--<!ENTITY systemd-url      "&anduin-sources;/systemd-&systemd-version;-&systemd-stable;.tar.xz">-->
-<!ENTITY systemd-md5      "00131adf0e98c1fd8a7fde4eb47f10c8">
+<!ENTITY systemd-md5      "8e8adf909c255914dfc10709bd372e69">
 <!ENTITY systemd-home     "https://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-version "248">
+<!ENTITY systemd-man-version "249">
 <!ENTITY systemd-man-size "584 KB">
 <!--<!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;-&systemd-stable;.tar.xz">-->
 <!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-man-version;.tar.xz">
-<!ENTITY systemd-man-md5  "82cc641742df67128df8b6a55fbcbabc">
+<!ENTITY systemd-man-md5  "d9f2508d6b114b1c02476cd79b8fc786">
 <!ENTITY systemd-fin-du   "264 MB">
 <!ENTITY systemd-fin-sbu  "1.8 SBU">
@@ -669,8 +685,8 @@
 <!ENTITY tcl-tmp-sbu "3.8 SBU">
 
-<!ENTITY texinfo-version "6.7">
-<!ENTITY texinfo-size "4,237 KB">
+<!ENTITY texinfo-version "6.8">
+<!ENTITY texinfo-size "4,848 KB">
 <!ENTITY texinfo-url "&gnu;texinfo/texinfo-&texinfo-version;.tar.xz">
-<!ENTITY texinfo-md5 "d4c5d8cc84438c5993ec5163a59522a6">
+<!ENTITY texinfo-md5 "a91b404e30561a5df803e6eb3a53be71">
 <!ENTITY texinfo-home "&gnu-software;texinfo/">
 <!ENTITY texinfo-tmp-du "105 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision b1fb9310035ea0414edc2fa6c7493d371d787b7a)
+++ patches.ent	(revision 87119fd250fad6fd818f6fc325e55f513b56e694)
@@ -68,5 +68,7 @@
 <!ENTITY sysvinit-consolidated-patch-size "2.4 KB">
 
+<!--
 <!ENTITY systemd-upstream-fixes-patch "systemd-&systemd-version;-upstream_fixes-1.patch">
 <!ENTITY systemd-upstream-fixes-patch-md5 "6819d49562ac48b551d15d2dd0123055">
 <!ENTITY systemd-upstream-fixes-patch-size "8 KB">
+-->