Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision a98a31a0c92e78532e7b9b9f353b7a2723801a42)
+++ chapter01/changelog.xml	(revision 89970f9a7c1da12d1e823170f73577fbf4d72fe7)
@@ -47,4 +47,18 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to mpfr-4.0.0.  Fixes
+          <ulink url="&lfs-ticket-root;4185">#4185</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mpc-1.1.0.  Fixes
+          <ulink url="&lfs-ticket-root;4196">#4196</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2018-01-13</para>
+      <itemizedlist>
+        <listitem>
           <para>[dj] - Simplify and correct Libelf instructions.</para>
         </listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision a98a31a0c92e78532e7b9b9f353b7a2723801a42)
+++ chapter01/whatsnew.xml	(revision 89970f9a7c1da12d1e823170f73577fbf4d72fe7)
@@ -174,7 +174,7 @@
       <para>Man-pages-&man-pages-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>MPC-&mpc-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>MPFR-&mpfr-version;</para>
Index: chapter06/createfiles.xml
===================================================================
--- chapter06/createfiles.xml	(revision a98a31a0c92e78532e7b9b9f353b7a2723801a42)
+++ chapter06/createfiles.xml	(revision 89970f9a7c1da12d1e823170f73577fbf4d72fe7)
@@ -52,9 +52,7 @@
 ln -sv /tools/lib/libgcc_s.so{,.1} /usr/lib
 ln -sv /tools/lib/libstdc++.{a,so{,.6}} /usr/lib
-sed 's/tools/usr/' /tools/lib/libstdc++.la > /usr/lib/libstdc++.la
 for lib in blkid lzma mount uuid
 do
     ln -sv /tools/lib/lib$lib.so* /usr/lib
-    sed 's/tools/usr/' /tools/lib/lib${lib}.la > /usr/lib/lib${lib}.la
 done
 ln -svf /tools/include/blkid    /usr/include
@@ -69,4 +67,6 @@
 ln -sv bash /bin/sh</userinput></screen>
 
+<!--sed 's/tools/usr/' /tools/lib/libstdc++.la > /usr/lib/libstdc++.la
+   sed 's/tools/usr/' /tools/lib/lib${lib}.la > /usr/lib/lib${lib}.la-->
   <variablelist>
     <title>The purpose of each link:</title>
@@ -167,5 +167,5 @@
       </listitem>
     </varlistentry>
-
+<!--
     <varlistentry>
       <term><parameter><filename>/usr/lib/libstdc++.la</filename></parameter></term>
@@ -176,5 +176,5 @@
       </listitem>
     </varlistentry>
-
+-->
     <varlistentry revision="systemd">
       <term><parameter><filename>/usr/lib/lib{blkid,lzma,mount,uuid}.{a,la,so*}</filename></parameter></term>
Index: general.ent
===================================================================
--- general.ent	(revision a98a31a0c92e78532e7b9b9f353b7a2723801a42)
+++ general.ent	(revision 89970f9a7c1da12d1e823170f73577fbf4d72fe7)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20180113">
+<!ENTITY version         "SVN-20180114">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180113-systemd">
+<!ENTITY versiond        "20180114-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "January 13, 2018">
+<!ENTITY releasedate     "January 14, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision a98a31a0c92e78532e7b9b9f353b7a2723801a42)
+++ packages.ent	(revision 89970f9a7c1da12d1e823170f73577fbf4d72fe7)
@@ -479,16 +479,16 @@
 <!ENTITY meson-ch6-sbu "0.4 SBU">
 
-<!ENTITY mpc-version "1.0.3">
-<!ENTITY mpc-size "655 KB">
-<!ENTITY mpc-url "http://www.multiprecision.org/mpc/download/mpc-&mpc-version;.tar.gz">
-<!ENTITY mpc-md5 "d6a1d5f8ddea3abd2cc3e98f58352d26">
+<!ENTITY mpc-version "1.1.0">
+<!ENTITY mpc-size "685 KB">
+<!ENTITY mpc-url "https://ftp.gnu.org/gnu/mpc/mpc-&mpc-version;.tar.gz">
+<!ENTITY mpc-md5 "4125404e41e482ec68282a2e687f6c73">
 <!ENTITY mpc-home "http://www.multiprecision.org/">
 <!ENTITY mpc-ch6-du "17 MB">
 <!ENTITY mpc-ch6-sbu "0.3 SBU">
 
-<!ENTITY mpfr-version "3.1.6">
-<!ENTITY mpfr-size "1,108 KB">
+<!ENTITY mpfr-version "4.0.0">
+<!ENTITY mpfr-size "1,374 KB">
 <!ENTITY mpfr-url "http://www.mpfr.org/mpfr-&mpfr-version;/mpfr-&mpfr-version;.tar.xz">
-<!ENTITY mpfr-md5 "51bfdbf81553966c8d43808122cc81b3">
+<!ENTITY mpfr-md5 "94c67b3cfbee10605a5e59d0ed9161db">
 <!ENTITY mpfr-home "http://www.mpfr.org/">
 <!ENTITY mpfr-ch6-du "45 MB">