Index: chapter06/e2fsprogs.xml
===================================================================
--- chapter06/e2fsprogs.xml	(revision 46ded2ba10bd4b1dc2a8d80c744637135f52f146)
+++ chapter06/e2fsprogs.xml	(revision 146620c9ee2751ee891dd51feafe4053da656cf2)
@@ -249,5 +249,5 @@
         <term><command>e2freefrag</command></term>
         <listitem>
-          <para> Reports free space fragmentation information</para>
+          <para>Reports free space fragmentation information</para>
           <indexterm zone="ch-system-e2fsprogs e2freefrag">
             <primary sortas="b-e2freefrag">e2freefrag</primary>
@@ -296,5 +296,5 @@
           <para>Replays the undo log undo_log for an ext2/ext3/ext4 filesystem
           found on a device. This can be used to undo a failed operation by an
-          e2fsprogs program.</para>
+          e2fsprogs program</para>
           <indexterm zone="ch-system-e2fsprogs e2undo">
             <primary sortas="b-e2undo">e2undo</primary>
@@ -327,5 +327,5 @@
         <listitem>
           <para>By default checks <systemitem class="filesystem">ext2</systemitem>
-          file systems. This is a hard link to <command>e2fsck</command>.</para>
+          file systems. This is a hard link to <command>e2fsck</command></para>
           <indexterm zone="ch-system-e2fsprogs fsck.ext2">
             <primary sortas="b-fsck.ext2">fsck.ext2</primary>
@@ -338,5 +338,5 @@
         <listitem>
           <para>By default checks <systemitem class="filesystem">ext3</systemitem>
-          file systems. This is a hard link to <command>e2fsck</command>.</para>
+          file systems. This is a hard link to <command>e2fsck</command></para>
           <indexterm zone="ch-system-e2fsprogs fsck.ext3">
             <primary sortas="b-fsck.ext3">fsck.ext3</primary>
@@ -349,5 +349,5 @@
         <listitem>
           <para>By default checks <systemitem class="filesystem">ext4</systemitem>
-          file systems. This is a hard link to <command>e2fsck</command>.</para>
+          file systems. This is a hard link to <command>e2fsck</command></para>
           <indexterm zone="ch-system-e2fsprogs fsck.ext4">
             <primary sortas="b-fsck.ext4">fsck.ext4</primary>
@@ -361,5 +361,5 @@
           <para>By default checks <systemitem class="filesystem">ext4</systemitem>
           development file systems. This is a hard link to
-          <command>e2fsck</command>.</para>
+          <command>e2fsck</command></para>
           <indexterm zone="ch-system-e2fsprogs fsck.ext4dev">
             <primary sortas="b-fsck.ext4dev">fsck.ext4dev</primary>
@@ -417,5 +417,5 @@
         <listitem>
           <para>By default creates <systemitem class="filesystem">ext2</systemitem>
-          file systems.  This is a hard link to <command>mke2fs</command>.</para>
+          file systems. This is a hard link to <command>mke2fs</command></para>
           <indexterm zone="ch-system-e2fsprogs mkfs.ext2">
             <primary sortas="b-mkfs.ext2">mkfs.ext2</primary>
@@ -428,5 +428,5 @@
         <listitem>
           <para>By default creates <systemitem class="filesystem">ext3</systemitem>
-          file systems.  This is a hard link to <command>mke2fs</command>.</para>
+          file systems. This is a hard link to <command>mke2fs</command></para>
           <indexterm zone="ch-system-e2fsprogs mkfs.ext3">
             <primary sortas="b-mkfs.ext3">mkfs.ext3</primary>
@@ -439,5 +439,5 @@
         <listitem>
           <para>By default creates <systemitem class="filesystem">ext4</systemitem>
-          file systems.  This is a hard link to <command>mke2fs</command>.</para>
+          file systems. This is a hard link to <command>mke2fs</command></para>
           <indexterm zone="ch-system-e2fsprogs mkfs.ext4">
             <primary sortas="b-mkfs.ext4">mkfs.ext4</primary>
@@ -450,5 +450,5 @@
         <listitem>
           <para>By default creates <systemitem class="filesystem">ext4</systemitem>
-          development file systems.  This is a hard link to <command>mke2fs</command>.</para>
+          development file systems. This is a hard link to <command>mke2fs</command></para>
           <indexterm zone="ch-system-e2fsprogs mkfs.ext4dev">
             <primary sortas="b-mkfs.ext4dev">mkfs.ext4dev</primary>