Index: chapter06/chapter06.xml
===================================================================
--- chapter06/chapter06.xml	(revision ca170329c9ab02a57921217477921a59d09a0dc6)
+++ chapter06/chapter06.xml	(revision 158072e51590994e14500e2846b7bed4669b2bac)
@@ -24,48 +24,48 @@
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gcc.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="coreutils.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="iana-etc.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ncurses.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="perl.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="readline.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="zlib.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mktemp.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="iana-etc.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="findutils.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gawk.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ncurses.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="readline.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="vim.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="m4.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bison.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="less.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="groff.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sed.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="flex.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gettext.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="inetutils.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="iproute2.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="perl.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="texinfo.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="autoconf.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="automake.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bash.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="file.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libtool.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bison.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bzip2.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="diffutils.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kbd.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="e2fsprogs.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="file.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="findutils.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="flex.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="grub.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gawk.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gettext.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="grep.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="grub.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="groff.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gzip.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="hotplug.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="inetutils.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="iproute2.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="kbd.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="less.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libtool.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="m4.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="make.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="man.xml"/>
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="make.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mktemp.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="module-init-tools.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="patch.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="procps.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="psmisc.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sed.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="shadow.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sysklogd.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="sysvinit.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="tar.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="texinfo.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="udev.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="util-linux.xml"/>
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="vim.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="aboutdebug.xml"/>
 <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="strippingagain.xml"/>