Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision ed809f003574c00bf2ee04f688171a079755c796)
+++ chapter01/changelog.xml	(revision 201167dbb097dc1cb54794fbb73ae85b6e26b0f3)
@@ -43,4 +43,14 @@
     appropriate for the entry or if needed the entire day's listitem.
 -->
+    <listitem revision="systemd">
+      <para>2016-10-23</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to D-Bus-1.10.12. Fixes
+          <ulink url="&lfs-ticket-root;3993">#3993</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2016-10-22</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision ed809f003574c00bf2ee04f688171a079755c796)
+++ chapter01/whatsnew.xml	(revision 201167dbb097dc1cb54794fbb73ae85b6e26b0f3)
@@ -60,7 +60,7 @@
       <para>DejaGNU &dejagnu-version;</para>
     </listitem>-->
-    <!--<listitem revision="systemd">
+    <listitem revision="systemd">
       <para>D-Bus-&dbus-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Diffutils &diffutils-version;</para>
Index: chapter06/dbus.xml
===================================================================
--- chapter06/dbus.xml	(revision ed809f003574c00bf2ee04f688171a079755c796)
+++ chapter06/dbus.xml	(revision 201167dbb097dc1cb54794fbb73ae85b6e26b0f3)
@@ -109,5 +109,6 @@
       <seglistitem>
         <seg>dbus-cleanup-sockets, dbus-daemon, dbus-launch, dbus-monitor,
-        dbus-run-session, dbus-send, and dbus-uuidgen</seg>
+        dbus-run-session, dbus-send, dbus-test-tool, 
+        dbus-update-activation-environment, and dbus-uuidgen</seg>
         <seg>libdbus-1.{a,so}</seg>
         <seg>/etc/dbus-1, /usr/include/dbus-1.0, /usr/lib/dbus-1.0,
@@ -125,5 +126,5 @@
         <term><command>dbus-cleanup-sockets</command></term>
         <listitem>
-          <para>Used to clean up leftover sockets in a directory</para>
+          <para>is used to clean up leftover sockets in a directory</para>
           <indexterm zone="ch-system-dbus dbus-cleanup-sockets">
             <primary sortas="b-dbus-cleanup-sockets">dbus-cleanup-sockets</primary>
@@ -135,5 +136,5 @@
         <term><command>dbus-daemon</command></term>
         <listitem>
-          <para>The D-Bus message bus daemon</para>
+          <para>is the D-Bus message bus daemon</para>
           <indexterm zone="ch-system-dbus dbus-daemon">
             <primary sortas="b-dbus-daemon">dbus-daemon</primary>
@@ -145,5 +146,5 @@
         <term><command>dbus-launch</command></term>
         <listitem>
-          <para>Starts <command>dbus-daemon</command> from a shell
+          <para>starts <command>dbus-daemon</command> from a shell
           script</para>
           <indexterm zone="ch-system-dbus dbus-launch">
@@ -156,5 +157,5 @@
         <term><command>dbus-monitor</command></term>
         <listitem>
-          <para>Monitors messages passing through a D-Bus message bus</para>
+          <para>monitors messages passing through a D-Bus message bus</para>
           <indexterm zone="ch-system-dbus dbus-monitor">
             <primary sortas="b-dbus-monitor">dbus-monitor</primary>
@@ -166,5 +167,5 @@
         <term><command>dbus-run-session</command></term>
         <listitem>
-          <para>Starts a session bus instance of <command>dbus-daemon</command>
+          <para>starts a session bus instance of <command>dbus-daemon</command>
           from a shell script and starts a specified program in that
           session</para>
@@ -178,5 +179,5 @@
         <term><command>dbus-send</command></term>
         <listitem>
-          <para>Sends a message to a D-Bus message bus</para>
+          <para>sends a message to a D-Bus message bus</para>
           <indexterm zone="ch-system-dbus dbus-send">
             <primary sortas="b-dbus-send">dbus-send</primary>
@@ -185,8 +186,31 @@
       </varlistentry>
 
+      <varlistentry id="dbus-test-tool">
+        <term><command>dbus-test-tool</command></term>
+        <listitem>
+          <para>is a tool to help packages test
+          <application>D-Bus</application>.</para>
+          <indexterm zone="ch-system-dbus dbus-test-tool">
+            <primary sortas="b-dbus-test-tool">dbus-test-tool</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <!-- This is a very long command name. Excuse the long <primary> statement below. -->
+      <varlistentry id="dbus-update-activation-environment">
+        <term><command>dbus-update-activation-environment</command></term>
+        <listitem>
+          <para>updates environment variables that will be set for
+          <application>D-Bus</application> session services.</para>
+          <indexterm zone="ch-system-dbus dbus-update-activation-environment">
+            <primary sortas="b-dbus-update-activation-environment">dbus-update-activation-environment</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="dbus-uuidgen">
         <term><command>dbus-uuidgen</command></term>
         <listitem>
-          <para>Generates a universally unique ID</para>
+          <para>generates a universally unique ID</para>
           <indexterm zone="ch-system-dbus dbus-uuidgen">
             <primary sortas="b-dbus-uuidgen">dbus-uuidgen</primary>
@@ -198,5 +222,5 @@
         <term><filename class="libraryfile">libdbus-1</filename></term>
         <listitem>
-          <para>Contains API functions used to communicate with the D-Bus
+          <para>contains API functions used to communicate with the D-Bus
           message bus</para>
           <indexterm zone="ch-system-dbus libdbus-1">
Index: general.ent
===================================================================
--- general.ent	(revision ed809f003574c00bf2ee04f688171a079755c796)
+++ general.ent	(revision 201167dbb097dc1cb54794fbb73ae85b6e26b0f3)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20161022">
+<!ENTITY version         "SVN-20161023">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20161022-systemd">
+<!ENTITY versiond        "20161023-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "October 22, 2016">
+<!ENTITY releasedate     "October 23, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.11">
Index: packages.ent
===================================================================
--- packages.ent	(revision ed809f003574c00bf2ee04f688171a079755c796)
+++ packages.ent	(revision 201167dbb097dc1cb54794fbb73ae85b6e26b0f3)
@@ -107,11 +107,11 @@
 <!ENTITY coreutils-ch6-sbu "2.6 SBU">
 
-<!ENTITY dbus-version "1.10.10">
-<!ENTITY dbus-size "1,938 KB">
+<!ENTITY dbus-version "1.10.12">
+<!ENTITY dbus-size "1,940 KB">
 <!ENTITY dbus-url "http://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
-<!ENTITY dbus-md5 "495676d240eb982921b3ad1343526849">
+<!ENTITY dbus-md5 "bacef77336bbe588efa3124102d5fcdb">
 <!ENTITY dbus-home "http://www.freedesktop.org/wiki/Software/dbus">
-<!ENTITY dbus-ch6-du "23 MB">
-<!ENTITY dbus-ch6-sbu "0.2 SBU">
+<!ENTITY dbus-ch6-du "22 MB">
+<!ENTITY dbus-ch6-sbu "0.3 SBU">
 
 <!ENTITY dejagnu-version "1.6">