Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 27bf0df03c3a2c2921c736706dd76bbfd3d90339)
+++ chapter01/changelog.xml	(revision 239518f4b9c3e690ad2294d7926aaa9fee07c7b0)
@@ -43,4 +43,22 @@
     appropriate for the entry or if needed the entire day's listitem.
 -->
+    <listitem>
+      <para>2016-10-22</para>
+      <itemizedlist>
+        <listitem>
+          <para>[ken] - Update to iproute2-4.8.0. Fixes
+          <ulink url="&lfs-ticket-root;3992">#3992</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to tzdata-2016h. Fixes
+          <ulink url="&lfs-ticket-root;3995">#3995</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[ken] - Update to linux-4.8.3. Fixes
+          <ulink url="&lfs-ticket-root;3994">#3994</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem revision="systemd">
       <para>2016-10-10</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 27bf0df03c3a2c2921c736706dd76bbfd3d90339)
+++ chapter01/whatsnew.xml	(revision 239518f4b9c3e690ad2294d7926aaa9fee07c7b0)
@@ -129,7 +129,7 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>IPRoute2 &iproute2-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Kbd &kbd-version;</para>
Index: chapter06/iproute2.xml
===================================================================
--- chapter06/iproute2.xml	(revision 27bf0df03c3a2c2921c736706dd76bbfd3d90339)
+++ chapter06/iproute2.xml	(revision 239518f4b9c3e690ad2294d7926aaa9fee07c7b0)
@@ -64,4 +64,6 @@
 <screen><userinput remap="make">make</userinput></screen>
 
+    <para>This package does not have a working test suite.</para>
+<!-- currently not useful, no tests actually run
     <para>This package comes with a test suite, but due to assumptions it makes,
     it is not possible to reliably run these tests from within the chroot
@@ -71,5 +73,5 @@
     .config through /proc/config.gz&quot; [CONFIG_IKCONFIG_PROC]), then run
     'make alltests' from the <filename class="directory">testsuite/</filename>
-    subdirectory.</para>
+    subdirectory.</para>-->
 
     <para>Install the package:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 27bf0df03c3a2c2921c736706dd76bbfd3d90339)
+++ general.ent	(revision 239518f4b9c3e690ad2294d7926aaa9fee07c7b0)
@@ -1,8 +1,8 @@
-<!ENTITY version         "SVN-20161010">
+<!ENTITY version         "SVN-20161022">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20161010-systemd">
+<!ENTITY versiond        "20161022-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
Index: packages.ent
===================================================================
--- packages.ent	(revision 27bf0df03c3a2c2921c736706dd76bbfd3d90339)
+++ packages.ent	(revision 239518f4b9c3e690ad2294d7926aaa9fee07c7b0)
@@ -326,8 +326,8 @@
 <!ENTITY intltool-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "4.7.0">
-<!ENTITY iproute2-size "577 KB">
+<!ENTITY iproute2-version "4.8.0">
+<!ENTITY iproute2-size "581 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "d4b205830cdc2702f8a0cbd6232129cd">
+<!ENTITY iproute2-md5 "54c6411863cb16a4375aa5f788dca767">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-ch6-du "11 MB">
@@ -392,16 +392,16 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "8">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "3">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "89,799 KB">
+<!ENTITY linux-size " 89,795 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "ac4c0078b3a053f08fd58b36aca6ff4e">
+<!ENTITY linux-md5 "f9f5b9623e672ef10d1a28ece575ee42">
 <!ENTITY linux-home "http://www.kernel.org/">
-<!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
+<!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
  allnoconfig extended for a hopefully-bootable build on desktop machine,
  max is allyesconfig which requires openssl -->
-<!ENTITY linux-ch8-du "700 - 6800 MB (typically about 800-900 MB)">
-<!ENTITY linux-ch8-sbu "3.0 - 49.0 SBU (typically about 6 SBU)">
+<!ENTITY linux-ch8-du "960 - 4250 MB (typically about 1100 MB)">
+<!ENTITY linux-ch8-sbu "4.4 - 66.0 SBU (typically about 6 SBU)">
 
 <!ENTITY linux-headers-ch5-du "750 MB">
@@ -595,8 +595,8 @@
 <!ENTITY texinfo-ch6-sbu "0.5 SBU">
 
-<!ENTITY tzdata-version "2016g">
-<!ENTITY tzdata-size "310 KB">
+<!ENTITY tzdata-version "2016h">
+<!ENTITY tzdata-size "312 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "3c7e97ec8527211104d27cc1d97a23de">
+<!ENTITY tzdata-md5 "878f0ec3fd9e4026ea11dd1b649a315a">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 