Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision b35ab48b26143c7dffdb101d98bf62cdad7451ee)
+++ chapter01/changelog.xml	(revision 426913ea08640343690e423fa521392d44595a9c)
@@ -41,4 +41,15 @@
     -->
     <listitem>
+      <para>2022-02-10</para>
+      <itemizedlist>
+        <listitem>
+          <para>[xry111] - Workaround the issue causing binaries link to
+          libraries from the host distro for pass 2 binutils.  It's now
+          unnecessary to build zlib in chapter 6.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2022-02-09</para>
       <itemizedlist>
Index: chapter06/binutils-pass2.xml
===================================================================
--- chapter06/binutils-pass2.xml	(revision b35ab48b26143c7dffdb101d98bf62cdad7451ee)
+++ chapter06/binutils-pass2.xml	(revision 426913ea08640343690e423fa521392d44595a9c)
@@ -44,4 +44,12 @@
     <title>Installation of Binutils</title>
 
+    <!-- Don't remove this until Binutils upstream updates the libtool
+         copy.  On some host distros the issue doesn't show up.  -->
+    <para>Binutils ships an outdated libtool copy in the tarball.  It lacks
+    sysroot support so the produced binaries will be mistakenly linked to
+    libraries from the host distro.  Workaround this issue:</para>
+
+<screen><userinput remap="pre">sed '6009s/$add_dir//' -i ltmain.sh</userinput></screen>
+
     <para>Create a separate build directory again:</para>
 
@@ -86,11 +94,7 @@
 <screen><userinput remap="make">make</userinput></screen>
 
-    <para>Install the package, and
-    workaround an issue causing
-    <filename class="libraryfile">libctf.so</filename>
-    to link against zlib from the host distribution:</para>
+    <para>Install the package:</para>
 
-<screen><userinput remap="install">make DESTDIR=$LFS install
-install -vm755 libctf/.libs/libctf.so.0.0.0 $LFS/usr/lib</userinput></screen>
+<screen><userinput remap="install">make DESTDIR=$LFS install</userinput></screen>
 
   </sect2>
Index: chapter06/chapter06.xml
===================================================================
--- chapter06/chapter06.xml	(revision b35ab48b26143c7dffdb101d98bf62cdad7451ee)
+++ chapter06/chapter06.xml	(revision 426913ea08640343690e423fa521392d44595a9c)
@@ -29,5 +29,4 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tar.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xz.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="zlib.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="binutils-pass2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gcc-pass2.xml"/>
Index: apter06/zlib.xml
===================================================================
--- chapter06/zlib.xml	(revision b35ab48b26143c7dffdb101d98bf62cdad7451ee)
+++ 	(revision )
@@ -1,67 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="ch-tools-zlib" role="wrap">
-  <?dbhtml filename="zlib.html"?>
-
-  <sect1info condition="script">
-    <productname>zlib</productname>
-    <productnumber>&zlib-version;</productnumber>
-    <address>&zlib-url;</address>
-  </sect1info>
-
-  <title>Zlib-&zlib-version;</title>
-
-  <indexterm zone="ch-tools-zlib">
-    <primary sortas="a-Zlib">Zlib</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../chapter08/zlib.xml"
-    xpointer="xpointer(/sect1/sect2[1]/para[1])"/>
-
-    <segmentedlist>
-      <segtitle>&buildtime;</segtitle>
-      <segtitle>&diskspace;</segtitle>
-
-      <seglistitem>
-        <seg>&zlib-tmp-sbu;</seg>
-        <seg>&zlib-tmp-du;</seg>
-      </seglistitem>
-    </segmentedlist>
-
-  </sect2>
-
-  <sect2 role="installation">
-    <title>Installation of Zlib</title>
-
-    <para>Prepare Zlib for compilation:</para>
-
-    <screen><userinput remap="configure">./configure --prefix=/usr</userinput></screen> 
-
-    <para>Compile the package:</para>
-
-<screen><userinput remap="make">make</userinput></screen>
-
-    <para>Install the package:</para>
-
-<screen><userinput remap="install">make DESTDIR=$LFS install</userinput></screen>
-
-  </sect2>
-
-  <sect2 role="content">
-     <title/>
-     <para>Details on this package are located in 
-       <xref linkend="contents-zlib" role="."/>
-     </para>
-
-  </sect2>
-
-</sect1>