Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 54f2cdda358ff50b01fc14ec15aaefc9cb8eebff)
+++ chapter01/changelog.xml	(revision 560065f976e371779928dbf8b9428217f3f57331)
@@ -43,4 +43,35 @@
     appropriate for the entry or if needed the entire day's listitem.
     -->
+
+    <listitem>
+      <para>2020-06-03</para>
+      <itemizedlist>
+        <listitem revision="systemd">
+          <para>[renodr] - Fix systemd's build with GCC-10 with a patch instead
+          of CFLAGS.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to perl-5.30.3 (security update). Fixes
+          <ulink url="&lfs-ticket-root;4664">#4664</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to dbus-1.12.18 (security update). Fixes
+          <ulink url="&lfs-ticket-root;4665">#4665</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to man-db-2.9.2. Fixes
+          <ulink url="&lfs-ticket-root;4663">#4663</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libcap-2.36. Fixes
+          <ulink url="&lfs-ticket-root;4666">#4666</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to bison-3.6.3. Fixes
+          <ulink url="&lfs-ticket-root;4667">#4667</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2020-05-31</para>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 54f2cdda358ff50b01fc14ec15aaefc9cb8eebff)
+++ chapter03/patches.xml	(revision 560065f976e371779928dbf8b9428217f3f57331)
@@ -126,4 +126,13 @@
     </varlistentry>
 -->
+
+    <varlistentry revision="systemd">
+      <term>Systemd GCC-10 Patch - <token>&systemd-gcc10-patch-size;</token>:</term>
+      <listitem>
+        <para>Download: <ulink url="&patches-root;&systemd-gcc10-patch;"/></para>
+        <para>MD5 sum: <literal>&systemd-gcc10-patch-md5;</literal></para>
+      </listitem>
+    </varlistentry>
+
   </variablelist>
 
Index: chapter06/libelf.xml
===================================================================
--- chapter06/libelf.xml	(revision 54f2cdda358ff50b01fc14ec15aaefc9cb8eebff)
+++ chapter06/libelf.xml	(revision 560065f976e371779928dbf8b9428217f3f57331)
@@ -57,5 +57,5 @@
 <screen><userinput remap="test">make check</userinput></screen>
 
-    <para>One test, run-elfclassify.sh, is known to fail.</para>
+<!--    <para>One test, run-elfclassify.sh, is known to fail.</para>-->
 
     <para>Install only Libelf:</para>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 54f2cdda358ff50b01fc14ec15aaefc9cb8eebff)
+++ chapter06/systemd.xml	(revision 560065f976e371779928dbf8b9428217f3f57331)
@@ -40,10 +40,9 @@
   <sect2 role="installation">
     <title>Installation of systemd</title>
-<!--
-    <para>First, apply a patch to fix various bugs since the release
-    of systemd-243.</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-consolidated_fixes-2.patch</userinput></screen>
--->
+
+    <para>First, apply a patch to fix the build with GCC-10:</para>
+
+<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-gcc_10-fixes-1.patch</userinput></screen>
+
 
     <para>Create a symlink to work around missing xsltproc:</para>
@@ -74,5 +73,4 @@
       --sysconfdir=/etc             \
       --localstatedir=/var          \
-      -Dc_args=-Wno-format-overflow \
       -Dblkid=true                  \
       -Dbuildtype=release           \
@@ -99,4 +97,5 @@
       <title>The meaning of the meson options:</title>
 
+<!--
       <varlistentry>
         <term><parameter>-Dc_args=-Wno-format-overflow</parameter></term>
@@ -108,4 +107,5 @@
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry>
Index: general.ent
===================================================================
--- general.ent	(revision 54f2cdda358ff50b01fc14ec15aaefc9cb8eebff)
+++ general.ent	(revision 560065f976e371779928dbf8b9428217f3f57331)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200531">
+<!ENTITY version         "SVN-20200603">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200531-systemd">
+<!ENTITY versiond        "20200603-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "May 31st, 2020">
+<!ENTITY releasedate     "June 3rd, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 54f2cdda358ff50b01fc14ec15aaefc9cb8eebff)
+++ packages.ent	(revision 560065f976e371779928dbf8b9428217f3f57331)
@@ -71,8 +71,8 @@
 <!ENTITY binutils-ch6-sbu "6.7 SBU">
 
-<!ENTITY bison-version "3.6.2">
-<!ENTITY bison-size "2,411 KB">
+<!ENTITY bison-version "3.6.3">
+<!ENTITY bison-size "2,416 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "fa5f7c67c523f1d8b2155f55e67f7e1c">
+<!ENTITY bison-md5 "ca0513e77de1de46b9f2419d175cb3b4">
 <!ENTITY bison-home "&gnu-software;bison/">
 <!ENTITY bison-ch5-du "43 MB">
@@ -119,8 +119,8 @@
 <!ENTITY coreutils-ch6-sbu "2.3 SBU">
 
-<!ENTITY dbus-version "1.12.16">
+<!ENTITY dbus-version "1.12.18">
 <!ENTITY dbus-size "2,048 KB">
 <!ENTITY dbus-url "https://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
-<!ENTITY dbus-md5 "2dbeae80dfc9e3632320c6a53d5e8890">
+<!ENTITY dbus-md5 "4ca570c281be35d0b30ab83436712242">
 <!ENTITY dbus-home "https://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-ch6-du "18 MB">
@@ -392,8 +392,8 @@
 <!ENTITY lfs-bootscripts-ch7-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.34">
-<!ENTITY libcap-size "109 KB">
+<!ENTITY libcap-version "2.36">
+<!ENTITY libcap-size "112 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "66028a8080a0891c54b202bb5e749035">
+<!ENTITY libcap-md5 "3d8cd4a87650cdee130691cb110c2ce2">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-ch6-du "8.5 MB">
@@ -464,8 +464,8 @@
 <!ENTITY make-ch6-sbu "0.5 SBU">
 
-<!ENTITY man-db-version "2.9.1">
-<!ENTITY man-db-size "1,832 KB">
+<!ENTITY man-db-version "2.9.2">
+<!ENTITY man-db-size "1,844 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "593f4f0a26ab4f66f5b81cf6c0c7364c">
+<!ENTITY man-db-md5 "86c7b99ce5969d9b20bf9aeae8d86e0b">
 <!ENTITY man-db-home "https://www.nongnu.org/man-db/">
 <!ENTITY man-db-ch6-du "40 MB">
@@ -540,8 +540,8 @@
 <!ENTITY patch-ch6-sbu "0.2 SBU">
 
-<!ENTITY perl-version "5.30.2">
-<!ENTITY perl-size "12,084 KB">
+<!ENTITY perl-version "5.30.3">
+<!ENTITY perl-size "12,088 KB">
 <!ENTITY perl-url "https://www.cpan.org/src/5.0/perl-&perl-version;.tar.xz">
-<!ENTITY perl-md5 "4bfa12b528522a50de0470b8b70b9b3b">
+<!ENTITY perl-md5 "0af2ab0f01ec13e37cc13a27de930936">
 <!ENTITY perl-home "https://www.perl.org/">
 <!ENTITY perl-ch5-du "275 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision 54f2cdda358ff50b01fc14ec15aaefc9cb8eebff)
+++ patches.ent	(revision 560065f976e371779928dbf8b9428217f3f57331)
@@ -53,2 +53,6 @@
 <!ENTITY systemd-consolidated-patch-size "64 KB">
 -->
+
+<!ENTITY systemd-gcc10-patch "systemd-&systemd-version;-gcc_10-fixes-1.patch">
+<!ENTITY systemd-gcc10-patch-md5 "6d41186bfcd7002ed2cbf26b25f9091d">
+<!ENTITY systemd-gcc10-patch-size "4 KB">