Index: chapter03/introduction.xml
===================================================================
--- chapter03/introduction.xml	(revision fe8b2f350f9fbcb234e83afa42ddca91bba1ec45)
+++ chapter03/introduction.xml	(revision 843710f2ff8293b0b03d924d2b24153085f3a87f)
@@ -8,49 +8,49 @@
 <?dbhtml filename="introduction.html"?>
 
-<para>Below is a list of packages you need to download for building a basic
-Linux system. The listed version numbers correspond to versions of the
-software that are <emphasis>known</emphasis> to work, and this book is
-based upon them. Unless you are an experienced LFS builder, we highly
-recommend not to try out newer versions, as the build commands for one
-version may not work with a newer version. Also, there is often a good
-reason for not using the latest version due to known problems that haven't
-been worked around yet.</para>
+<para>Below is a list of packages that need to be download for building a
+basic Linux system. The listed version numbers correspond to versions
+of the software that are known to work, and this book is based on
+their use. We highly recommend not using newer versions, as the build
+commands for one version may not work with a newer version. The newest
+package versions may also have problems that work-arounds have
+not been developed for yet.</para>
 
-<para>All the URLs, when possible, refer to the project's page at
-<ulink url="http://www.freshmeat.net/"/>. The Freshmeat
-pages will give you easy access to the official download sites as well as
-project websites, mailing lists, FAQs, changelogs and more.</para>
+<para>All the URLs, when possible, refer to the package's information
+page at <ulink url="http://www.freshmeat.net/"/>. The Freshmeat pages
+provide easy access to official download sites, as well as project
+websites, mailing lists, FAQs, changelogs, and more.</para>
 
-<para>We can't guarantee that these download locations are always available.
-In case a download location has changed since this book was published, please
-try to google for the package. Should you remain unsuccessful with this, 
-try one of the alternative means of downloading listed on
-<ulink url="&lfs-root;lfs/packages.html"/>.</para>
+<para>Download locations may not always be accessible. If a download
+location has changed since this book was published, Google (<ulink
+url="http://www.google.com"/>) provides a useful search engine for
+most packages. If this search is unsuccessful, try one of the
+alternative means of downloading discussed at <ulink
+url="&lfs-root;lfs/packages.html"/>.</para>
 
-<para>You'll need to store all the downloaded packages and patches somewhere
-that is conveniently available throughout the entire build. You'll also need a
-working directory in which to unpack the sources and build them. A scheme that
-works well is to use <filename class="directory">$LFS/sources</filename> as the place to store
-the tarballs and patches, <emphasis>and</emphasis> as a working directory.
-This way everything you need will be located on the LFS partition and available
-during all stages of the building process.</para>
+<para>Downloaded packages and patches will need to be stores somewhere
+that is conveniently available throughout the entire build. A working
+directory is also required to unpack the sources and build them.
+<filename class="directory">$LFS/sources</filename> can be used both
+as the place to store the tarballs and patches and as a working
+directory. By using this directory, the required elements will be
+located on the LFS partition and will be available during all stages
+of the building process.</para>
 
-<para>So you may want to execute, as <emphasis>root</emphasis>, the following
-command before starting your download session:</para>
+<para>To create this directory, execute, as user
+<emphasis>root</emphasis>, the following command before starting the
+download session:</para>
 
 <screen><userinput>mkdir $LFS/sources</userinput></screen>
 
-<para>And make this directory writable (and sticky) for your normal user -- as
-you won't do the downloading as <emphasis>root</emphasis>, we guess:</para>
+<para>Make this directory writable (and sticky -- which basically
+means that eventhough a user may have write permissions on a
+directory, the sticky tag prevents users from removing files they do
+not own as normally write permission on a directory means the owner of
+the directory can remove all files in it, even if he does not own the
+file) for your normal user -- as you won't do the downloading as root, we
+guess:</para>
 
 <screen><userinput>chmod a+wt $LFS/sources</userinput></screen>
 
-<!--
-<para>For your convenience the top of the list contains a link to a file
-you can use with the <ulink url="http://wget.sunsite.dk">wget</ulink>
-program. Using this file and the <command>wget</command> program will
-make it easy to download all the files at once, rather than downloading each
-and every individual file manually.</para>
--->
+</sect1>
 
-</sect1>