Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
+++ chapter01/changelog.xml	(revision 848907cdbf0ca8fab41bb52fe86510f7f0d30af1)
@@ -37,4 +37,34 @@
 -->
     <listitem>
+      <para>2014-01-17</para>
+      <itemizedlist>
+        <listitem>
+          <para>[krejzi] - Merge LFS SVN-20140114 book.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>2014-01-14</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to inetutils-1.9.2 and remove
+          referece to old BLFS page. Fixes
+          <ulink url="&lfs-ticket-root;3471">#3471</ulink> and
+          <ulink url="&lfs-ticket-root;3473">#3473</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Fix hardcoded reference to /tools in
+          Chapter 6 glibc.  Fixes
+          <ulink url="&lfs-ticket-root;3466">#3466</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Clean up /run and /tmp.  Fixes
+          <ulink url="&lfs-ticket-root;3463">#3463</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2014-01-10</para>
       <itemizedlist>
Index: chapter06/chroot.xml
===================================================================
--- chapter06/chroot.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
+++ chapter06/chroot.xml	(revision 848907cdbf0ca8fab41bb52fe86510f7f0d30af1)
@@ -16,5 +16,5 @@
   realm that is, at the moment, populated with only the temporary tools:</para>
 
-<screen><userinput>chroot "$LFS" /tools/bin/env -i \
+<screen role="nodump"><userinput>chroot "$LFS" /tools/bin/env -i \
     HOME=/root                  \
     TERM="$TERM"                \
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
+++ chapter06/gcc.xml	(revision 848907cdbf0ca8fab41bb52fe86510f7f0d30af1)
@@ -71,5 +71,6 @@
     <para>Prepare GCC for compilation:</para>
 
-<screen><userinput remap="configure">../gcc-&gcc-version;/configure --prefix=/usr               \
+<screen><userinput remap="configure">SED=sed                                            \
+../gcc-&gcc-version;/configure --prefix=/usr               \
                        --libexecdir=/usr/lib       \
                        --enable-shared             \
@@ -88,13 +89,13 @@
     <variablelist>
       <title>The meaning of the new configure option:</title>
-<!--
+
       <varlistentry>
-        <term><parameter>- -disable-install-libiberty</parameter></term>
-        <listitem>
-          <para>This prevents GCC from installing its own copy of libiberty,
-          which is already provided by Binutils-&binutils-version;.</para>
-        </listitem>
-      </varlistentry>
--->
+        <term><envar>SED=sed</envar></term>
+        <listitem>
+          <para>Setting this environment variable prevents a hard-coded
+          path to /tools/bin/sed.</para>
+        </listitem>
+      </varlistentry>
+ 
       <varlistentry>
         <term><parameter>--with-system-zlib</parameter></term>
Index: chapter06/inetutils.xml
===================================================================
--- chapter06/inetutils.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
+++ chapter06/inetutils.xml	(revision 848907cdbf0ca8fab41bb52fe86510f7f0d30af1)
@@ -41,7 +41,8 @@
     <title>Installation of Inetutils</title>
 
-    <para>Fix an incompatibility between this package and Glibc-&glibc-version;</para>
-
-<screen><userinput remap="pre">sed -i -e '/gets is a/d' lib/stdio.in.h</userinput></screen>
+    <para>Create a definition to allow the <command>ifconfig</command> program
+    to build properly.</para>
+
+<screen><userinput remap="pre">echo '#define PATH_PROCNET_DEV "/proc/net/dev"' &gt;&gt; ifconfig/system/linux.h </userinput></screen>
 
     <para>Prepare Inetutils for compilation:</para>
@@ -50,5 +51,4 @@
     --libexecdir=/usr/sbin \
     --localstatedir=/var   \
-    --disable-ifconfig     \
     --disable-logger       \
     --disable-syslogd      \
@@ -60,14 +60,4 @@
 
       <varlistentry>
-        <term><parameter>--disable-ifconfig</parameter></term>
-        <listitem>
-          <para>This option prevents Inetutils from installing the
-          <command>ifconfig</command> program, which can be used to configure network
-          interfaces. LFS uses <command>ip</command> from IPRoute2 to perform
-          this task.</para>
-        </listitem>
-      </varlistentry>
-
-      <varlistentry>
         <term><parameter>--disable-logger</parameter></term>
         <listitem>
@@ -102,6 +92,5 @@
           included as part of the Inetutils package. These servers are deemed not
           appropriate in a basic LFS system. Some are insecure by nature and are
-          only considered safe on trusted networks. More information can be found
-          at <ulink url="&blfs-root;view/svn/basicnet/inetutils.html"/>. Note that
+          only considered safe on trusted networks. Note that
           better replacements are available for many of these servers.</para>
         </listitem>
@@ -121,12 +110,10 @@
 
 <screen><userinput remap="install">make install</userinput></screen>
-<!-- The html file generation is broken as of texinfo-5.0
-make -C doc html
-make -C doc install-html docdir=/usr/share/doc/inetutils-&inetutils-version;</userinput></screen>
--->
+
     <para>Move some programs so they are available if <filename
     class='directory'>/usr</filename> is not accessible:</para>
 
-<screen><userinput remap="install">mv -v /usr/bin/{hostname,ping,ping6,traceroute} /bin</userinput></screen>
+<screen><userinput remap="install">mv -v /usr/bin/{hostname,ping,ping6,traceroute} /bin
+mv -v /usr/bin/ifconfig /sbin</userinput></screen>
 
   </sect2>
@@ -139,6 +126,6 @@
 
       <seglistitem>
-        <seg>ftp, hostname, ping, ping6, rcp, rexec, rlogin, rsh, talk, telnet,
-        tftp, and traceroute</seg>
+        <seg>ftp, ifconfig, hostname, ping, ping6, rcp, rexec, rlogin, 
+        rsh, talk, telnet, tftp, and traceroute</seg>
       </seglistitem>
     </segmentedlist>
@@ -159,4 +146,14 @@
       </varlistentry>
 
+      <varlistentry id="ifconfig">
+        <term><command>ifconfig</command></term>
+        <listitem>
+        <para>Manages network interfaces</para>
+        <indexterm zone="ch-system-inetutils ifconfig">
+          <primary sortas="b-ifconfig">ifconfig</primary>
+        </indexterm>
+        </listitem>
+      </varlistentry>
+
       <varlistentry id="hostname">
         <term><command>hostname</command></term>
@@ -203,5 +200,5 @@
         <term><command>rexec</command></term>
         <listitem>
-          <para>executes commands on a remote host</para>
+          <para>Executes commands on a remote host</para>
           <indexterm zone="ch-system-inetutils rexec">
             <primary sortas="b-rexec">rexec</primary>
Index: chapter06/revisedchroot.xml
===================================================================
--- chapter06/revisedchroot.xml	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
+++ chapter06/revisedchroot.xml	(revision 848907cdbf0ca8fab41bb52fe86510f7f0d30af1)
@@ -11,10 +11,14 @@
   <title>Cleaning Up</title>
 
+  <para>Finally, clean up some extra files left around from running tests:</para>
+
+<screen><userinput>rm -rf /run/* /tmp/*</userinput></screen>
+
   <para>From now on, when reentering the chroot environment after
   exiting, use the following modified chroot command:</para>
 
-<screen><userinput>chroot "$LFS" /usr/bin/env -i \
+<screen role="nodump"><userinput>chroot "$LFS" /usr/bin/env -i              \
     HOME=/root TERM="$TERM" PS1='\u:\w\$ ' \
-    PATH=/bin:/usr/bin:/sbin:/usr/sbin \
+    PATH=/bin:/usr/bin:/sbin:/usr/sbin     \
     /bin/bash --login</userinput></screen>
 
@@ -32,4 +36,6 @@
   </note>
 
+<screen role="nodump"><userinput>rm -rf /tools</userinput></screen>
+
   <para>If the virtual kernel file systems have been unmounted, either manually
   or through a reboot, ensure that the virtual kernel file systems are mounted
Index: general.ent
===================================================================
--- general.ent	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
+++ general.ent	(revision 848907cdbf0ca8fab41bb52fe86510f7f0d30af1)
@@ -1,4 +1,4 @@
-<!ENTITY version         "SYSTEMD-20140110">
-<!ENTITY releasedate     "January 10, 2014">
+<!ENTITY version         "SYSTEMD-20140117">
+<!ENTITY releasedate     "January 17, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.5">
Index: packages.ent
===================================================================
--- packages.ent	(revision 94c0cb3d39beac89811e83165a20ea6baa562611)
+++ packages.ent	(revision 848907cdbf0ca8fab41bb52fe86510f7f0d30af1)
@@ -311,8 +311,8 @@
 <!ENTITY iana-etc-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY inetutils-version "1.9.1">
-<!ENTITY inetutils-size "1,941 KB">
+<!ENTITY inetutils-version "1.9.2">
+<!ENTITY inetutils-size "2,188 KB">
 <!ENTITY inetutils-url "&gnu;inetutils/inetutils-&inetutils-version;.tar.gz">
-<!ENTITY inetutils-md5 "944f7196a2b3dba2d400e9088576000c">
+<!ENTITY inetutils-md5 "aa1a9a132259db83e66c1f3265065ba2">
 <!ENTITY inetutils-home "&gnu-software;inetutils/">
 <!ENTITY inetutils-ch6-du "27 MB">