Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 898d71a949b748e7bf16673eb5fc1870fdb5ea9e)
+++ chapter01/changelog.xml	(revision 866916e08c6b1307dc61b17510164a3e7d859e9a)
@@ -40,4 +40,25 @@
     appropriate for the entry or if needed the entire day's listitem.
     -->
+    <listitem>
+      <para>2023-03-15</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to bc-6.4.0.  Fixes
+          <ulink url='&lfs-ticket-root;5217'>#5217</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to grep-3.9.  Fixes
+          <ulink url='&lfs-ticket-root;5225'>#5225</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-6.2.6.  Fixes
+          <ulink url='&lfs-ticket-root;5226'>#5226</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20230306.  Addresses
+          <ulink url='&lfs-ticket-root;5006'>#5006</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
     <listitem>
       <para>2023-03-04</para>
Index: chapter01/how.xml
===================================================================
--- chapter01/how.xml	(revision 898d71a949b748e7bf16673eb5fc1870fdb5ea9e)
+++ chapter01/how.xml	(revision 866916e08c6b1307dc61b17510164a3e7d859e9a)
@@ -25,13 +25,5 @@
 
   <para>As an alternative to installing a separate distribution on your
-  machine, you may wish to use a LiveCD from a commercial distribution.
-  <!-- the Linux From Scratch LiveCD or --> a LiveCD from a
-  commercial distribution. <!-- The LFS LiveCD works well as a host system,
-  providing all the tools you need to successfully follow the instructions in
-  this book. The LiveCD version is behind the current book, but is still useful
-  as a host for building the current book.  The <quote>-nosrc</quote> or
-  <quote>-min</quote> editions of the LiveCD are the most appropriate for
-  building a current LFS system.  For more information about the LFS LiveCD or
-  to download a copy, visit <ulink url="&livecd-root;"/>. --></para>
+  machine, you may wish to use a LiveCD from a commercial distribution.</para>
 
   <!--
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 898d71a949b748e7bf16673eb5fc1870fdb5ea9e)
+++ chapter01/whatsnew.xml	(revision 866916e08c6b1307dc61b17510164a3e7d859e9a)
@@ -119,7 +119,7 @@
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Grep-&grep-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Groff-&groff-version;</para>
@@ -131,7 +131,7 @@
       <para>Gzip-&gzip-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>IANA-Etc-&iana-etc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Inetutils-&inetutils-version;</para>
Index: chapter08/openssl.xml
===================================================================
--- chapter08/openssl.xml	(revision 898d71a949b748e7bf16673eb5fc1870fdb5ea9e)
+++ chapter08/openssl.xml	(revision 866916e08c6b1307dc61b17510164a3e7d859e9a)
@@ -97,4 +97,19 @@
         <emphasis>when upgrading to a version with the same MAJOR version
         number</emphasis>.
+      </para>
+
+      <!-- https://bugzilla.mindrot.org/show_bug.cgi?id=3548 -->
+      <para>
+        If <application>OpenSSH</application> is installed, it will be an
+        exception of the general rule above.  It contains an
+        over-restrictive OpenSSL version check, so both SSH client and SSH
+        server will refuse to start if OpenSSL
+        is updated with MAJOR version number unchanged but MINOR version
+        number changed.  You need to rebuild
+        <application>OpenSSH</application> after such an upgrade.
+        <emphasis role='bold'>If <application>OpenSSH</application> is being
+        used to access the system, you must rebuild and reinstall it
+        after upgrading OpenSSL to a new MINOR version number before logout
+        or you won't be able to login via SSH anymore.</emphasis>
       </para>
 
Index: chapter11/reboot.xml
===================================================================
--- chapter11/reboot.xml	(revision 898d71a949b748e7bf16673eb5fc1870fdb5ea9e)
+++ chapter11/reboot.xml	(revision 866916e08c6b1307dc61b17510164a3e7d859e9a)
@@ -78,5 +78,5 @@
     <listitem>
       <para>
-        Ensure a password is set for the root user.
+        Ensure a password is set for the &root; user.
       </para>
     </listitem>
@@ -142,11 +142,5 @@
   <para>When the reboot is complete, the LFS system is ready for use.  What you
   will see is a simple <quote>login: </quote> prompt.  At this point, you can
-  proceed to 
-  <phrase revision="sysv">
-    <ulink url="https://www.linuxfromscratch.org/blfs/view/stable/">
-     the BLFS Book</ulink></phrase>
-  <phrase revision="systemd">
-    <ulink url="https://www.linuxfromscratch.org/blfs/view/stable-systemd/">
-    the BLFS Book</ulink></phrase> 
+  proceed to <ulink url="&blfs-book;">the BLFS Book</ulink>
   where you can add more software to suit your needs.</para>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 898d71a949b748e7bf16673eb5fc1870fdb5ea9e)
+++ packages.ent	(revision 866916e08c6b1307dc61b17510164a3e7d859e9a)
@@ -59,8 +59,8 @@
 <!ENTITY bash-fin-sbu "1.2 SBU">
 
-<!ENTITY bc-version "6.3.1">
-<!ENTITY bc-size "448 KB">
+<!ENTITY bc-version "6.4.0">
+<!ENTITY bc-size "450 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "70caa7c8a273d7152ad015823e887455">
+<!ENTITY bc-md5 "b10f1832f169610db6ebd313c432f69e">
 <!ENTITY bc-home "https://git.gavinhoward.com/gavin/bc">
 <!ENTITY bc-fin-du "7.6 MB">
@@ -282,8 +282,8 @@
 <!ENTITY gperf-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY grep-version "3.8">
-<!ENTITY grep-size "1,670 KB">
+<!ENTITY grep-version "3.9">
+<!ENTITY grep-size "1,641 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
-<!ENTITY grep-md5 "dc6e4d18d4659e6e7552fc4a183c8ac9">
+<!ENTITY grep-md5 "ee315ef80638e0ca3fd5e0c8526b7b2a">
 <!ENTITY grep-home "&gnu-software;grep/">
 <!ENTITY grep-tmp-du "25 MB">
@@ -318,8 +318,8 @@
 <!ENTITY gzip-fin-sbu "0.3 SBU">
 
-<!ENTITY iana-etc-version "20230202">
-<!ENTITY iana-etc-size "586 KB">
+<!ENTITY iana-etc-version "20230306">
+<!ENTITY iana-etc-size "587 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "e64685d046cd0dfe94b5c66e294cf9ef">
+<!ENTITY iana-etc-md5 "b25ebfa2a9ae359a64abaa8331347505">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.8 MB">
@@ -434,10 +434,10 @@
 <!ENTITY linux-major-version "6">
 <!ENTITY linux-minor-version "2">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "6">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "133,236 KB">
+<!ENTITY linux-size "133,263 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "03b17feb98f92131a465b09f3a12e715">
+<!ENTITY linux-md5 "b1e4f3e49a05c6e26c0e18e363a3dc9a">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is