Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
+++ chapter01/changelog.xml	(revision 870198efd197b27d0052418e008e78bad6dca984)
@@ -44,4 +44,30 @@
 -->
    <listitem>
+      <para>2016-06-22</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to gmp-6.1.1. Fixes
+          <ulink url="&lfs-ticket-root;3949">#3949</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to expat-2.2.0. Fixes
+          <ulink url="&lfs-ticket-root;3948">#3948</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2016e. Fixes
+          <ulink url="&lfs-ticket-root;3947">#3947</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to file-5.28. Fixes
+          <ulink url="&lfs-ticket-root;3946">#3946</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gettext-0.19.8.1. Fixes
+          <ulink url="&lfs-ticket-root;3945">#3945</ulink>.</para>
+        </listitem>
+     </itemizedlist>
+    </listitem>
+
+   <listitem>
       <para>2016-06-11</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
+++ chapter01/whatsnew.xml	(revision 870198efd197b27d0052418e008e78bad6dca984)
@@ -102,7 +102,7 @@
       <para>Glibc &glibc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>GMP &gmp-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Gperf-&gperf-version;</para>
Index: general.ent
===================================================================
--- general.ent	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
+++ general.ent	(revision 870198efd197b27d0052418e008e78bad6dca984)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20160611">
+<!ENTITY version         "SVN-20160622">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20160611-systemd">
+<!ENTITY versiond        "20160622-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "June 11, 2016">
+<!ENTITY releasedate     "June 22, 2016">
 <!ENTITY copyrightdate   "1999-2016"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.10">
Index: packages.ent
===================================================================
--- packages.ent	(revision 8933f763cf6e32eeae797ab10e815b649dac35be)
+++ packages.ent	(revision 870198efd197b27d0052418e008e78bad6dca984)
@@ -151,8 +151,8 @@
 <!ENTITY eudev-ch6-sbu "0.2 SBU">
 
-<!ENTITY expat-version "2.1.1">
-<!ENTITY expat-size "396 KB">
+<!ENTITY expat-version "2.2.0">
+<!ENTITY expat-size "405 KB">
 <!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.bz2">
-<!ENTITY expat-md5 "7380a64a8e3a9d66a9887b01d0d7ea81">
+<!ENTITY expat-md5 "2f47841c829facb346eb6e3fab5212e2">
 <!ENTITY expat-home "http://expat.sourceforge.net/">
 <!ENTITY expat-ch6-du "6.6 MB">
@@ -168,8 +168,8 @@
 <!ENTITY expect-ch5-sbu "0.1 SBU">
 
-<!ENTITY file-version "5.27">
-<!ENTITY file-size "756 KB">
+<!ENTITY file-version "5.28">
+<!ENTITY file-size "760 KB">
 <!ENTITY file-url "ftp://ftp.astron.com/pub/file/file-&file-version;.tar.gz">
-<!ENTITY file-md5 "18f1c60aa27a296a26c2e9389ac92ba5">
+<!ENTITY file-md5 "3f7771424aa855f32094b49571e19b33">
 <!ENTITY file-home "http://www.darwinsys.com/file/">
 <!ENTITY file-ch5-du "15 MB">
@@ -229,8 +229,8 @@
 <!ENTITY gdbm-ch6-sbu "0.1 SBU">
 
-<!ENTITY gettext-version "0.19.8">
-<!ENTITY gettext-size "6,970 KB">
+<!ENTITY gettext-version "0.19.8.1">
+<!ENTITY gettext-size "7,041 KB">
 <!ENTITY gettext-url "&gnu;gettext/gettext-&gettext-version;.tar.xz">
-<!ENTITY gettext-md5 "3e7ed1ac886b9b1a4e23e71113da6358">
+<!ENTITY gettext-md5 "df3f5690eaa30fd228537b00cb7b7590">
 <!ENTITY gettext-home "&gnu-software;gettext/">
 <!ENTITY gettext-ch5-du "169 MB">
@@ -249,9 +249,9 @@
 <!ENTITY glibc-ch6-sbu "16.4 SBU">
 
-<!ENTITY gmp-version "6.1.0">
-<!ENTITY gmp-extracted-version "6.1.0">
-<!ENTITY gmp-size "1,905 KB">
+<!ENTITY gmp-version "6.1.1">
+<!ENTITY gmp-extracted-version "6.1.1">
+<!ENTITY gmp-size "1,898 KB">
 <!ENTITY gmp-url "&gnu;gmp/gmp-&gmp-version;.tar.xz">
-<!ENTITY gmp-md5 "a9868ef2556ad6a2909babcd1428f3c7">
+<!ENTITY gmp-md5 "e70e183609244a332d80529e7e155a35">
 <!ENTITY gmp-home "&gnu-software;gmp/">
 <!ENTITY gmp-ch6-du "46 MB">
@@ -595,8 +595,8 @@
 <!ENTITY texinfo-ch6-sbu "0.5 SBU">
 
-<!ENTITY tzdata-version "2016d">
-<!ENTITY tzdata-size "308 KB">
+<!ENTITY tzdata-version "2016e">
+<!ENTITY tzdata-size "307 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "14bf84b6c2cdab0a9428991e0150ebe6">
+<!ENTITY tzdata-md5 "43f9f929a8baf0dd2f17efaea02c2d2a">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 