Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 696a7b4a834e93901dd1d0e7299eaeab87a4ead9)
+++ chapter01/changelog.xml	(revision 917868fc69f30b569aea433f547d9d4cc89b6c52)
@@ -42,4 +42,30 @@
 
     <listitem>
+      <para>2022-09-07</para>
+      <itemizedlist>
+        <listitem>
+           <para>[bdubbs] - Update to shadow-4.12.3. Fixes
+           <ulink url="&lfs-ticket-root;5101">#5101</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to Python3-3.10.7. Fixes
+           <ulink url="&lfs-ticket-root;5109">#5109</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to linux-5.19.7. Fixes
+           <ulink url="&lfs-ticket-root;5099">#5099</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to less-608. Fixes
+           <ulink url="&lfs-ticket-root;5104">#5104</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to grep-3.8. Fixes
+           <ulink url="&lfs-ticket-root;5105">#5105</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2022-09-01</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 696a7b4a834e93901dd1d0e7299eaeab87a4ead9)
+++ chapter01/whatsnew.xml	(revision 917868fc69f30b569aea433f547d9d4cc89b6c52)
@@ -42,10 +42,10 @@
       <para>Bash &bash-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Bc &bc-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Binutils-&binutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Bison-&bison-version;</para>
@@ -57,31 +57,31 @@
       <para>Check-&check-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Coreutils-&coreutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>DejaGNU-&dejagnu-version;</para>
     </listitem>-->
-    <listitem revision="systemd">
+    <!--<listitem revision="systemd">
       <para>D-Bus-&dbus-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Diffutils-&diffutils-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
        <para>E2fsprogs-&e2fsprogs-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem revision="sysv">
        <para>Eudev-&eudev-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
        <para>Expat-&expat-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
        <para>Expect-&expect-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
        <para>File-&file-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Findutils-&findutils-version;</para>
@@ -93,7 +93,7 @@
       <para>Gawk-&gawk-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
        <para>GCC-&gcc-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
        <para>GDBM-&gdbm-version;</para>
@@ -102,7 +102,7 @@
       <para>Gettext-&gettext-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Glibc-&glibc-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>GMP-&gmp-version;</para>
@@ -111,7 +111,7 @@
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Grep-&grep-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Groff-&groff-version;</para>
@@ -120,49 +120,49 @@
       <para>GRUB-&grub-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Gzip-&gzip-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>IANA-Etc-&iana-etc-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Inetutils-&inetutils-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>IPRoute2-&iproute2-version;</para>
-    </listitem>
-    <listitem revision="systemd">
+    </listitem>-->
+    <!--<listitem revision="systemd">
       <para>Jinja2-&jinja2-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Kbd-&kbd-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Kmod-&kmod-version;</para>
-    </listitem>
-    <!--<listitem>
+    </listitem>-->
+    <listitem>
       <para>Less-&less-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>LFS-Bootscripts-&lfs-bootscripts-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Libcap-&libcap-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Libelf-&elfutils-version; (from elfutils)</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Libffi-&libffi-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Libpipeline-&libpipeline-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Libtool-&libtool-version;</para>
-    </listitem>
+    </listitem>-->
     <listitem>
       <para>Linux-&linux-version;</para>
@@ -174,16 +174,16 @@
       <para>Make-&make-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Man-DB-&man-db-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Man-pages-&man-pages-version;</para>
     </listitem>-->
-    <listitem revision="systemd">
+    <!--<listitem revision="systemd">
       <para>MarkupSafe-&markupsafe-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Meson-&meson-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>MPC-&mpc-version;</para>
@@ -195,25 +195,25 @@
       <para>Ncurses-&ncurses-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Ninja-&ninja-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Openssl-&openssl-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Patch-&patch-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Perl-&perl-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Pkg-config-&pkgconfig-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Procps-ng-&procps-ng-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Psmisc-&psmisc-version;</para>
-    </listitem>
+    </listitem>-->
     <listitem>
       <para>Python-&python-version;</para>
@@ -231,10 +231,10 @@
       <para>Sysklogd-&sysklogd-version;</para>
     </listitem>-->
-    <listitem revision="systemd">
+    <!--<listitem revision="systemd">
       <para>Systemd-&systemd-version;</para>
-    </listitem>
-    <listitem revision="sysv">
+    </listitem>-->
+    <!--<listitem revision="sysv">
       <para>SysVinit-&sysvinit-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Tar-&tar-version;</para>
@@ -246,22 +246,22 @@
       <para>Texinfo-&texinfo-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>Tzdata-&tzdata-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Util-Linux-&util-linux-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Vim-&vim-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>XML-Parser-&xml-parser-version;</para>
     </listitem>-->
-    <listitem>
+    <!--<listitem>
       <para>XZ-Utils-&xz-version;</para>
-    </listitem>
-    <listitem>
+    </listitem>-->
+    <!--<listitem>
       <para>Zlib-&zlib-version;</para>
-    </listitem>
+    </listitem>-->
     <!--<listitem>
       <para>Zstd-&zstd-version;</para>
@@ -281,15 +281,8 @@
     <title>Added:</title>
     <listitem><para></para></listitem>  <!-- satisfy build -->
-    <listitem>
-      <para>Wheel-&wheel-version;</para>
-    </listitem>
-<!--
-    <listitem>
+
+    <!--<listitem>
       <para>&xz-upstream-fix-patch;</para>
-    </listitem>
--->
-    <listitem>
-      <para>&zstd-upstream-fixes-patch;</para>
-   </listitem>
+    </listitem>-->
   </itemizedlist>
 
@@ -298,14 +291,7 @@
     <listitem><para></para></listitem>  <!-- satisfy build -->
 
-    <listitem>
+    <!--<listitem>
       <para>perl-5.34.0-upstream_fixes-1.patch</para>
-    </listitem>
-    <listitem>
-      <para>systemd-250-kernel_5.17_fixes-1.patch</para>
-    </listitem>
-    <listitem>
-      <para>systemd-250-upstream_fixes-1.patch</para>
-    </listitem>
-
+    </listitem>-->
   </itemizedlist>
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 696a7b4a834e93901dd1d0e7299eaeab87a4ead9)
+++ packages.ent	(revision 917868fc69f30b569aea433f547d9d4cc89b6c52)
@@ -282,8 +282,8 @@
 <!ENTITY gperf-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY grep-version "3.7">
-<!ENTITY grep-size "1,603 KB">
+<!ENTITY grep-version "3.8">
+<!ENTITY grep-size "1,670 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
-<!ENTITY grep-md5 "7c9cca97fa18670a21e72638c3e1dabf">
+<!ENTITY grep-md5 "dc6e4d18d4659e6e7552fc4a183c8ac9">
 <!ENTITY grep-home "&gnu-software;grep/">
 <!ENTITY grep-tmp-du "25 MB">
@@ -375,8 +375,8 @@
 <!ENTITY kmod-fin-sbu "0.1 SBU">
 
-<!ENTITY less-version "590">
-<!ENTITY less-size "348 KB">
+<!ENTITY less-version "608">
+<!ENTITY less-size "354 KB">
 <!ENTITY less-url "https://www.greenwoodsoftware.com/less/less-&less-version;.tar.gz">
-<!ENTITY less-md5 "f029087448357812fba450091a1172ab">
+<!ENTITY less-md5 "1cdec714569d830a68f4cff11203cdba">
 <!ENTITY less-home "https://www.greenwoodsoftware.com/less/">
 <!ENTITY less-fin-du "4.2 MB">
@@ -425,10 +425,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "19">
-<!ENTITY linux-patch-version "2">
+<!ENTITY linux-patch-version "7">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "128,553 KB">
+<!ENTITY linux-size "128,550 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "391274e2e49a881403b0ff2e0712bf82">
+<!ENTITY linux-md5 "dbe18f45d604a298448ee57d44afc7ef">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -589,9 +589,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.10.6">
+<!ENTITY python-version "3.10.7">
 <!ENTITY python-minor "3.10">
-<!ENTITY python-size "19,142 KB">
+<!ENTITY python-size "19,159 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "afc7e14f7118d10d1ba95ae8e2134bf0">
+<!ENTITY python-md5 "b8094f007b3a835ca3be6bdf8116cccc">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "364 MB">
@@ -600,6 +600,6 @@
 <!ENTITY python-fin-sbu "3.4 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "8f32c4f4f0b18ec56e8b3822bbaeb017">
-<!ENTITY python-docs-size "7,321 KB">
+<!ENTITY python-docs-md5 "d5923c417995334e72c2561812905d23">
+<!ENTITY python-docs-size "7,176 KB">
 
 <!ENTITY readline-version "8.1.2">
@@ -622,8 +622,8 @@
 <!ENTITY sed-fin-sbu "0.4 SBU">
 
-<!ENTITY shadow-version "4.12.2">
-<!ENTITY shadow-size "1,706 KB">
+<!ENTITY shadow-version "4.12.3">
+<!ENTITY shadow-size "1,707 KB">
 <!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
-<!ENTITY shadow-md5 "52637cb34c357acf85c617cf95da34a6">
+<!ENTITY shadow-md5 "710bcc89c39683609aacfef9f08bd854">
 <!ENTITY shadow-home "https://shadow-maint.github.io/shadow/">
 <!ENTITY shadow-fin-du "46 MB">